### Enumeration

# Gtk RestoreReason

unstable since: 4.24

#### Declaration

    enum Gtk.RestoreReason

#### Description [src]

Enumerates possible reasons for an application to restore saved state.

See `GtkApplication::restore-state`.

Available since: 4.24

#### Members

`GTK_RESTORE_REASON_PRISTINE`

  Don’t restore anything.

  - Value: `0`
  - Available since: 4.24
`GTK_RESTORE_REASON_LAUNCH`

  This is normal launch. Restore as little as is reasonable.

  - Value: `1`
  - Available since: 4.24
`GTK_RESTORE_REASON_RECOVER`

  The application has crashed before. Try to restore the previous state.

  - Value: `2`
  - Available since: 4.24
`GTK_RESTORE_REASON_RESTORE`

  This is a session restore. Restore the previous state as far as possible.

  - Value: `3`
  - Available since: 4.24